<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">

	<modelVersion>4.0.0</modelVersion>
	<groupId>lcag.mdm</groupId>
	<artifactId>lcag-java-utils</artifactId>
	<version>4.20.0</version> <!-- When updating here also update version in pom of main lufthansa project! -->
	<packaging>jar</packaging>

	<name>LCAG Java Utitlities</name>
	<url>http://maven.apache.org</url>

	<properties>
		<maven-deploy-plugin.version>3.1.1</maven-deploy-plugin.version>
		<maven-source-plugin.version>3.3.1</maven-source-plugin.version>

		<com.sun.xml.messaging.saaj.version>3.0.3</com.sun.xml.messaging.saaj.version>
		<jaxen.version>2.0.0</jaxen.version>
		<org.apache.commons-io.version>2.16.0</org.apache.commons-io.version>
		<org.apache.commons-text.version>1.10.0</org.apache.commons-text.version> <!-- Newer than 1.10 requires newer lang3 version, only possible when EBX upgrades CS modules to newer lang3 -->
		<org.apache.commons-lang3.version>3.12.0</org.apache.commons-lang3.version>
		<org.apache.logging.log4j.version>2.23.1</org.apache.logging.log4j.version>
		<org.apache.poi.version>5.2.5</org.apache.poi.version>
		<org.dom4j.version>2.1.4</org.dom4j.version>
		<org.json.version>20240303</org.json.version>
	</properties>

	<build>
		<sourceDirectory>src/main/java</sourceDirectory>
		<testSourceDirectory>src/test/java</testSourceDirectory>
		<resources>
			<resource>
				<directory>src/main/java</directory>
				<includes>
					<include>**/*.java</include>
					<include>**/*.gwt.xml</include>
				</includes>
			</resource>
		</resources>

		<pluginManagement>
			<plugins>
				<plugin>
					<artifactId>maven-compiler-plugin</artifactId>
					<version>3.13.0</version>
					<configuration>
						<release>17</release>
					</configuration>
				</plugin>
				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-jar-plugin</artifactId>
					<version>3.3.0</version>
					<configuration>
						<includes>
							<include>**/*</include>
						</includes>
					</configuration>
				</plugin>
				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-deploy-plugin</artifactId>
					<version>${maven-deploy-plugin.version}</version>
					<configuration>
						<skip>true</skip>
					</configuration>
				</plugin>
				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-source-plugin</artifactId>
					<version>${maven-source-plugin.version}</version>
					<configuration>
						<skipSource>true</skipSource>
					</configuration>
				</plugin>
				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-release-plugin</artifactId>
					<version>3.0.1</version>
					<configuration>
						<tagNameFormat>v@{project.version}</tagNameFormat>
						<autoVersionSubmodules>true</autoVersionSubmodules>
						<releaseProfiles>releases</releaseProfiles>
					</configuration>
				</plugin>
			</plugins>
		</pluginManagement>

		<plugins>
			<plugin>
				<groupId>org.sonatype.plugins</groupId>
				<artifactId>nexus-staging-maven-plugin</artifactId>
				<version>1.6.13</version>
				<executions>
					<execution>
						<id>default-deploy</id>
						<phase>deploy</phase>
						<goals>
							<goal>deploy</goal>
						</goals>
					</execution>
				</executions>
				<configuration>
					<serverId>lcag.nexus.releases</serverId>
					<nexusUrl>https://mdm-dev.lcag.int.lhgroup.de/nexus3/</nexusUrl>
					<skipStaging>true</skipStaging>
				</configuration>
			</plugin>
		</plugins>
	</build>

	<distributionManagement>
		<snapshotRepository>
			<id>lcag.nexus.snapshots</id>
			<url>https://mdm-dev.lcag.int.lhgroup.de/nexus3/repository/lcag-snapshots/</url>
		</snapshotRepository>
		<repository>
			<id>lcag.nexus.releases</id>
			<url>https://mdm-dev.lcag.int.lhgroup.de/nexus3/repository/lcag-releases/</url>
		</repository>
	</distributionManagement>

	<dependencies>
		<dependency>
			<groupId>org.dom4j</groupId>
			<artifactId>dom4j</artifactId>
			<version>${org.dom4j.version}</version>
		</dependency>
		<dependency>
			<groupId>commons-io</groupId>
			<artifactId>commons-io</artifactId>
		    <version>${org.apache.commons-io.version}</version>
		</dependency>
		<dependency>
			<groupId>org.json</groupId>
			<artifactId>json</artifactId>
			<version>${org.json.version}</version>
		</dependency>
		<dependency>
			<groupId>jaxen</groupId>
			<artifactId>jaxen</artifactId>
			<version>${jaxen.version}</version>
		</dependency>
		<dependency>
    		<groupId>com.vladsch.flexmark</groupId>
    		<artifactId>flexmark-all</artifactId>
    		<version>0.64.8</version>
		</dependency>
		<!-- https://mvnrepository.com/artifact/org.apache.logging.log4j/log4j-api -->
		<dependency>
			<groupId>org.apache.logging.log4j</groupId>
			<artifactId>log4j-api</artifactId>
		    <version>${org.apache.logging.log4j.version}</version>
		</dependency>
		<dependency>
			<groupId>org.apache.logging.log4j</groupId>
			<artifactId>log4j-core</artifactId>
		    <version>${org.apache.logging.log4j.version}</version>
		</dependency>
		<!-- https://mvnrepository.com/artifact/org.apache.commons/commons-lang3 -->
		<!-- To split Strings by camal case -->
		<dependency>
			<groupId>org.apache.commons</groupId>
			<artifactId>commons-lang3</artifactId>
		    <version>${org.apache.commons-lang3.version}</version>
		</dependency>
		<!-- https://mvnrepository.com/artifact/org.apache.commons/commons-text -->
		<dependency>
			<groupId>org.apache.commons</groupId>
			<artifactId>commons-text</artifactId>
		    <version>${org.apache.commons-text.version}</version>
		</dependency>
		<!-- https://mvnrepository.com/artifact/com.google.guava/guava -->
		<dependency>
		    <groupId>com.google.guava</groupId>
		    <artifactId>guava</artifactId>
		    <version>33.4.8-jre</version>
		</dependency>
		<dependency>
			<groupId>com.sun.xml.messaging.saaj</groupId>
			<artifactId>saaj-impl</artifactId>
			<version>${com.sun.xml.messaging.saaj.version}</version>
		</dependency>
		<!-- https://mvnrepository.com/artifact/com.jayway.jsonpath/json-path -->
		<dependency>
			<groupId>com.jayway.jsonpath</groupId>
			<artifactId>json-path</artifactId>
			<version>2.9.0</version>
		</dependency>

		<dependency>
			<groupId>javax.xml.bind</groupId>
			<artifactId>jaxb-api-osgi</artifactId>
			<version>2.2.7</version>
		</dependency>
		<dependency>
			<groupId>org.apache.poi</groupId>
			<artifactId>poi-ooxml</artifactId>
			<version>${org.apache.poi.version}</version>
		</dependency>
		<dependency>
			<groupId>org.junit.jupiter</groupId>
			<artifactId>junit-jupiter-api</artifactId>
			<version>5.10.2</version>
			<scope>test</scope>
		</dependency>
	</dependencies>

</project>